Bug 1032101 - Default settings cause masses of deprecation warnings in httpd error log
Default settings cause masses of deprecation warnings in httpd error log
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On: 1284264
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 09:46 EST by Thomas Widhalm
Modified: 2015-11-22 09:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Widhalm 2013-11-19 09:46:56 EST
Description of problem:
Some settings in /usr/lib/python2.6/site-packages/graphite/app_settings.py from the graphite-web package cause the following messages to appear in /var/log/httpd/error_log (even though the graphite-web vhost uses another error log) whenever one navigates to the graphite-web vhost.

[Tue Nov 19 15:00:52 2013] [error] /usr/lib/python2.6/site-packages/django/conf/__init__.py:75: DeprecationWarning: The ADMIN_MEDIA_PREFIX setting has been removed; use STATIC_URL instead.
[Tue Nov 19 15:00:52 2013] [error]   "use STATIC_URL instead.", DeprecationWarning)
[Tue Nov 19 15:00:52 2013] [error] /usr/lib/python2.6/site-packages/django/core/cache/__init__.py:82: DeprecationWarning: settings.CACHE_* is deprecated; use settings.CACHES instead.
[Tue Nov 19 15:00:52 2013] [error]   DeprecationWarning


Version-Release number of selected component (if applicable):
Name        : graphite-web
Arch        : noarch
Version     : 0.9.12
Release     : 5.el6
Size        : 8.9 M
Repo        : installed
From repo   : epel


How reproducible:

refer to the following steps

Steps to Reproduce:
1. Install graphite-web
2. set dns to point graphite-web to the host you installed on
3. browse to http://graphite-web
4. look at /var/log/httpd/error_log

Actual results:
error_log contains deprecation warnings

Expected results:
No deprecation warnings due to an updates configuration file

Additional info:
There are 2 Log entries per step one takes on the graphite web interface so the logs get swamped with log entries.
Comment 1 Jonathan Steffan 2014-11-22 18:21:04 EST
Jamie,

What are your thoughts on this? Should we just patch in the new variables?
Comment 2 Jamie Nguyen 2014-11-24 14:56:43 EST
(In reply to Jonathan Steffan from comment #1)
> What are your thoughts on this? Should we just patch in the new variables?

We should probably patch, as nobody likes thousands of deprecation warnings. Just need to make sure we test the changes.

Note You need to log in before you can comment on or make changes to this bug.